# caesarCipherDecoder.py

# Initialise variables
alphabet  = "abcdefghijklmnopqrstuvwxyz"

# functions
def decode(text, key):
    plain_text = ""
    
    # loop through the letters and build the code text
    for letter in text:
        if letter in alphabet:
            # subtract key from the index of the original letter
            i = alphabet.find(letter) - key
            
            # using modulus addition update the code text
            plain_text = plain_text + alphabet[i % 26]
            
        else: # don't change characters that are not in alphabet
            plain_text = plain_text + letter
            
    return plain_text

# Get Code
code_text = input("Please enter your text to decode:\n")

# change user input to lower case:
code_text = code_text.lower()

# Get Key
cipher_key = int(input("Please enter a numerical key between 1 and 26:\n"))

# Create decoded message
plain_text = decode(code_text, cipher_key)
print("Here is your solution:\n", plain_text)
