# rpg2.py START FILE
# This game has three rooms.
# The aim is to collect the phone and sim card.


room = {"name": "Reception",
        "item": "mobile phone"}

backpack = []

# Functions
def look():
    if "item" in room:
        print("You can see a " + room["item"])
    else:
        print("Nothing to see here.")

def grab():
    if "item" in room:
        backpack.append(room["item"])
        print("You now have the " + room["item"])
        del room["item"]
    else:
        print("Nothing to grab here.")

def inventory():
    print(backpack)

# Start game
name = input("Hi, welcome to my world.\nWhat is your name? ")
print("Have fun exploring my world", name, "\n\nHere are the commands:")
print("L = look, G = grab, I = inventory, Q = quit.")

# Create infinite loop:
while True:
    print("\nYou are in the", room["name"])
    command = input("What do you want to do? ")
    if command == "L":
        look()
    elif command == "G":
        grab()
    elif command == "I":
        inventory()
    elif command == "Q":
        break

print("\nThanks for playing", name)

