# rpg4.py
# This game has three scenes in a 3x3 map
# The aim is to collect the phone and sim card and find a signal.

# Set global variables
backpack = []
act = 0
current_location = 0

# Build the empty map

# Load the map with scenes

# Create stories for each scene
acts = (
    {
        "The Car": "You have left your phone somewhere but cannot find it.\nHow annoying :-(",
        "Yard": "It's a nice day. Now where is that phone?",
        "Office":"This is where Mum works.\nWe call it Mum's Office but she refers to it as 'My Sanctuary'."
    },
    {
        "The Car": "Your phone does not appear to work here.",
        "Yard": "Would I really have left my phone outside??",
        "Office":"Your phone does not appear to work here."
    },
    {
        "The Car": "Grr! My mobile gets no reception here either!",
        "Yard": "Finally, you have a working phone and a decent signal!\nRing ring...\nRing ring...\n\nPress 'Quit' to finish.",
        "Office": "You have a phone with a sim card but still cannot use it as there is no reception."
    }
)

# Functions:
def tell_story():
    update_act()
    scene_name = scenes[current_location]["name"]
    print("\nYou are in the " + scene_name + "\n")
    print(acts[act][scene_name])

def update_act():
    global act
    if("mobile phone" in backpack) and ("sim card" in backpack):
        act = 2
    elif "mobile phone" in backpack:
        act = 1
    return act

def look():
    if "item" in scenes[current_location]:
        print("\nYou can see a " + scenes[current_location]["item"])
    else:
        print("Nothing to see here.")

def grab():
    if "item" in scenes[current_location]:
        backpack.append(scenes[current_location]["item"])
        print("You now have the " + scenes[current_location]["item"])
        del scenes[current_location]["item"]
    else:
        print("Nothing to grab here.")

def inventory():
    if len(backpack) != 0:
        print(backpack)
    else:
        print("You have not collected anything yet.")

def move_north():
    global current_location
    if current_location > 0:
        current_location=current_location-1
    else:
        print("You have bumped into a wall.")

def move_south():
    global current_location
    if current_location < len(rooms)-1:
        current_location=current_location+1
    else:
        print("You have bumped into a wall.")

#### Start the game
name=input("Hi, welcome to my world.\nWhat is your name? ")
print("Have fun exploring my world", name, "\nHere are the commands you can use:")
print("L = look\nG = grab\nI = inventory\nN = go north\nS = go south\nW = go west\nE = go east\nQ = quit.")

# Create an infinite loop
while True:
    command=input("What do you want to do? ")
    if (command == "L" or command == "l"):
        look()
    elif (command == "G" or command == "g"):
        grab()
    elif (command == "I" or command == "i"):
        inventory()
    elif (command == "N" or command == "n"):
        move_north()
        tell_story()
    elif (command == "S" or command == "s"):
        move_south()
        tell_story()
    elif (command == "E" or command == "e"):
        move_east()
        tell_story()
    elif (command == "W" or command == "w"):
        move_west()
        tell_story()
    elif (command == "Q" or command == "q"):
        break
    else:
        print("\nPlease enter only L, G, I, N, S, E, W or Q ")

print("\nThanks for playing", name)
        
