# rpg-gui.py

from tkinter import *

#### Set variables:
canvas_height=400
canvas_width=600
paper_colour = "linen"
text_box_width = 80
text_box_height = 7

# Build the Map

# Load the map with scenes

# Create stories for each scene

# Functions
def look():
    pass

def grab():
    pass

def inventory():
    pass

def quit_game():
    window.withdraw()
    window.quit()

def move_north():
    pass

def move_south():
    pass

def move_east():
    pass

def move_west():
    pass

#### Main:
window = Tk()
window.title("MyAdventure")

# Load images for scenes
car = PhotoImage(file="images/scene_car.gif")

# Load images for move buttons
up = PhotoImage(file="images/up.gif")
left = PhotoImage(file="images/left.gif")
right = PhotoImage(file="images/right.gif")
down = PhotoImage(file="images/down.gif")

# Load images for bottom buttons
bag = PhotoImage(file="images/backpack.gif")
grabber = PhotoImage(file="images/grab.gif")
search = PhotoImage(file="images/look.gif")
quit_image = PhotoImage(file="images/quit.gif")

# Create top frame
topframe = Frame(window)
topframe.grid(row=0, column=0, columnspan=3, sticky=N)

# Create bottom_left frame
bottom_left = Frame(window)
bottom_left.grid(row=1, column=0, sticky=NW)

# Create bottom_centre frame
bottom_centre = Frame(window)
bottom_centre.grid(row=1, column=1, sticky=N)

# Create bottom_right frame
bottom_right = Frame(window)
bottom_right.grid(row=1, column=2, sticky=NE)

# Setup canvas
canvas = Canvas(topframe, height=canvas_height, width=canvas_width, highlightthickness=0)
canvas.grid(row=0, column=0)

# Build story area
story_box = Text(topframe, height=text_box_height, width=text_box_width, background=paper_colour)
story_box.grid(row=1, column=0)

# Direction buttons
Button(bottom_right, image=up, command=move_north).grid(row=0, column=2)
Button(bottom_right, image=left, command=move_west).grid(row=1, column=1)
Button(bottom_right, image=right, command=move_east).grid(row=1, column=3)
Button(bottom_right, image=down, command=move_south).grid(row=2, column=2)

# Other buttons
Button(bottom_centre, image=search, command=look).grid(row=0, column=0)
Button(bottom_centre, image=bag, command=inventory).grid(row=0, column=1)
Button(bottom_centre, image=grabber, command=grab).grid(row=0, column=2)
Button(bottom_left, image=quit_image, command=quit_game).grid()

# Start game
canvas.create_image(0, 0, image=car, anchor=NW)
story_box.insert(END, "text goes here") 

# Start tkinter's main loop
window.mainloop()
