# rpg2-experiment.py
# This game has three rooms but only uses one of them.

rooms = (
    { "name": "Reception",
      "item": "mobile phone" },
    
    { "name": "Hall" },
    
    { "name": "Lounge",
      "item": "sim card" }
    )

backpack = []

# Functions
def look():
    if "item" in rooms[0]:
        print("You can see a " + rooms[0]["item"])
    else:
        print("Nothing to see here.")

def grab():
    if "item" in rooms[0]:
        backpack.append(rooms[0]["item"])
        print("You now have the " + rooms[0]["item"])
        del rooms[0]["item"]
    else:
        print("Nothing to grab here.")

def inventory():
    print(backpack)

# Start game
name = input("Hi, welcome to my world.\nWhat is your name? ")
print("Have fun exploring my world", name, "\n\nHere are the commands:")
print("L = look, G = grab, I = inventory, Q = quit.")

# Create infinite loop:
while True:
    print("\nYou are in the", rooms[0]["name"])
    command = input("What do you want to do? ")
    if command == "L":
        look()
    elif command == "G":
        grab()
    elif command == "I":
        inventory()
    elif command == "Q":
        break

print("\nThanks for playing", name)

